/**
 * UVPTS.java
 *
 * File generated from the medication::UVPTS uml Class
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

// End of user code
import java.util.List;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Marshaller;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;
import javax.xml.bind.annotation.XmlType;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;

import org.w3c.dom.Document;
import org.w3c.dom.Node;

import net.ihe.gazelle.gen.common.ConstraintValidatorModule;


/**
 * Description of the class UVPTS.
 *
 */

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "UVP_TS", propOrder = {
	"probability"
})
@XmlRootElement(name = "UVP_TS")
public class UVPTS extends net.ihe.gazelle.medication.TS1 implements java.io.Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	
	/**
	 *                 The probability assigned to the value, a
	                            decimal number                between 0 (very uncertain) and 1
	                            (certain).             .
	 */
	@XmlAttribute(name = "probability")
	public java.lang.String probability;
	
	/**
	 * An attribute containing marshalled element node
	 */
	@XmlTransient
	private org.w3c.dom.Node _xmlNodePresentation;
	
	
	/**
	 * Return probability.
	 * @return probability :                 The probability assigned to the value, a
	                            decimal number                between 0 (very uncertain) and 1
	                            (certain).                             The probability assigned to the value, a
	                            decimal number                between 0 (very uncertain) and 1
	                            (certain).                             The probability assigned to the value, a
	                            decimal number                between 0 (very uncertain) and 1
	                            (certain).                             The probability assigned to the value, a
	                            decimal number                between 0 (very uncertain) and 1
	                            (certain).                             The probability assigned to the value, a
	                            decimal number                between 0 (very uncertain) and 1
	                            (certain).                             The probability assigned to the value, a
	                            decimal number                between 0 (very uncertain) and 1
	                            (certain).                             The probability assigned to the value, a
	                            decimal number                between 0 (very uncertain) and 1
	                            (certain).             
	 */
	public java.lang.String getProbability() {
	    return probability;
	}
	
	/**
	 * Set a value to attribute probability.
	 * @param probability :                 The probability assigned to the value, a
	                            decimal number                between 0 (very uncertain) and 1
	                            (certain).                             The probability assigned to the value, a
	                            decimal number                between 0 (very uncertain) and 1
	                            (certain).                             The probability assigned to the value, a
	                            decimal number                between 0 (very uncertain) and 1
	                            (certain).                             The probability assigned to the value, a
	                            decimal number                between 0 (very uncertain) and 1
	                            (certain).                             The probability assigned to the value, a
	                            decimal number                between 0 (very uncertain) and 1
	                            (certain).                             The probability assigned to the value, a
	                            decimal number                between 0 (very uncertain) and 1
	                            (certain).                             The probability assigned to the value, a
	                            decimal number                between 0 (very uncertain) and 1
	                            (certain).             .
	 */
	public void setProbability(java.lang.String probability) {
	    this.probability = probability;
	}
	
	
	
	
	
	public Node get_xmlNodePresentation() {
		if (_xmlNodePresentation == null){
				JAXBContext jc;
				DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
				dbf.setNamespaceAware(true);
				DocumentBuilder db = null;
				Document doc = null;
				try {
					db = dbf.newDocumentBuilder();
					doc = db.newDocument();
				} catch (ParserConfigurationException e1) {}
				try {
					jc = JAXBContext.newInstance("net.ihe.gazelle.medication");
					Marshaller m = jc.createMarshaller();
					m.marshal(this, doc);
					_xmlNodePresentation = doc.getElementsByTagNameNS("urn:epsos-org:ep:medication", "UVP_TS").item(0);
				} catch (JAXBException e) {
					try{
						db = dbf.newDocumentBuilder();
						_xmlNodePresentation = db.newDocument();
					}
					catch(Exception ee){}
				}
			}
			return _xmlNodePresentation;
	}
	
	public void set_xmlNodePresentation(Node _xmlNodePresentation) {
		this._xmlNodePresentation = _xmlNodePresentation;
	}
	
	
	

	
	/**
     * validate by a module of validation
     * 
     */
   public static void validateByModule(UVPTS uVPTS, String location, ConstraintValidatorModule cvm, List<net.ihe.gazelle.validation.Notification> diagnostic){
   		if (uVPTS != null){
   			net.ihe.gazelle.medication.TS1.validateByModule(uVPTS, location, cvm, diagnostic);
    	}
    }

}